BlockPaddingSchemeDef Struct Reference

Padding schemes used for block ciphers. More...

`#include <filters.h>`

Inheritance diagram for BlockPaddingSchemeDef:

## Public Types

enum | BlockPaddingScheme { NO_PADDING , ZEROS_PADDING , PKCS_PADDING , ONE_AND_ZEROS_PADDING , W3C_PADDING , DEFAULT_PADDING }
| Padding schemes used for block ciphers. More...

## Detailed Description

Padding schemes used for block ciphers.

Since
  Crypto++ 5.0

Definition at line 491 of file filters.h.

## Member Enumeration Documentation

## BlockPaddingScheme

enum BlockPaddingSchemeDef::BlockPaddingScheme

Padding schemes used for block ciphers.

DEFAULT_PADDING means PKCS_PADDING if `cipher.MandatoryBlockSize() > 1 && cipher.MinLastBlockSize() == 0`, which holds for ECB or CBC mode. Otherwise, NO_PADDING for modes like OFB, CFB, CTR, CBC-CTS.

See also
  Block Cipher Padding for additional details.

Since
  Crypto++ 5.0

Enumerator

NO_PADDING

No padding added to a block.

Since
  Crypto++ 5.0

ZEROS_PADDING

0's padding added to a block

Since
  Crypto++ 5.0

PKCS_PADDING

PKCS padding added to a block.

Since
  Crypto++ 5.0

ONE_AND_ZEROS_PADDING

1 and 0's padding added to a block

Since
  Crypto++ 5.0

W3C_PADDING

W3C padding added to a block.

See also
  XML Encryption Syntax and Processing

Since
  Crypto++ 6.0

DEFAULT_PADDING

Default padding scheme.

Since
  Crypto++ 5.0

Definition at line 501 of file filters.h.

The documentation for this struct was generated from the following file:

- filters.h